Issue with latest version related to ruby

Aladdin's Avatar

Aladdin

27 Oct, 2016 08:30 AM

Hey

I have problem with latest version of Arachni for Linux. Looks like related to ruby.
Maybe something related to imported modules by using 'module'?
What do You think about it?

Version: arachni-2.0dev-1.0dev-linux-x86_64.tar.gz 26-Oct-2016 11:16 177M Linux archive for x86 64bit architectures.
Ruby version: ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-linux]
Log:

[20:06:17][Step 4/6] /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser/nodes/element.rb:16:in <module:Nodes>': superclass mismatch for class Element (TypeError)
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser/nodes/element.rb:14:in<class:Parser>'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser/nodes/element.rb:13:in &lt;module:Arachni&gt;&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser/nodes/element.rb:12:in<top (required)>'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser.rb:25:in require&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser.rb:25:inblock in <module:Arachni>'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser.rb:25:in each&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser.rb:25:in<module:Arachni>'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/parser.rb:19:in &lt;top (required)&gt;&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/framework.rb:31:inrequire'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/framework.rb:31:in &lt;module:Arachni&gt;&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni/framework.rb:17:in<top (required)>'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni.rb:103:in require_relative&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/lib/arachni.rb:103:in<top (required)>'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/ui/cli/framework.rb:9:in require_relative&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/ui/cli/framework.rb:9:in<top (required)>'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/bin/arachni:10:in require_relative&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/system/gems/bundler/gems/arachni-6809f683cbb5/bin/arachni:10:in<top (required)>'
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/bin/../system/arachni-ui-web/bin/arachni:17:in load&#39;
[20:06:17][Step 4/6]    from /root/arachni-2.0dev-1.0dev/bin/../system/arachni-ui-web/bin/arachni:17:in<main>'
[20:06:17][Step 4/6] Process exited with code 1
  1. Support Staff 1 Posted by Tasos Laskos on 27 Oct, 2016 09:47 AM

    Tasos Laskos's Avatar

    I think I know what the issue is, pushing nightlies now and I'll let you know once they're up.

    Cheers

  2. Support Staff 2 Posted by Tasos Laskos on 27 Oct, 2016 02:41 PM

    Tasos Laskos's Avatar

    Nightlies are up.

  3. 3 Posted by Aladdin on 02 Nov, 2016 09:55 AM

    Aladdin's Avatar

    Confirmed. Version from '28-Oct-2016 09:29' fixed this issue with ruby.

  4. Support Staff 4 Posted by Tasos Laskos on 05 Nov, 2016 09:50 AM

    Tasos Laskos's Avatar

    Good to hear.

  5. Tasos Laskos closed this discussion on 05 Nov, 2016 09:50 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac